# Key Fingerprints

!!! hint

    The key fingerprints of login and export nodes can occasionally change. This page holds
    up-to-date fingerprints.

## Login Nodes

Each cluster can be accessed via Login Nodes using specific hostnames. All login nodes of a cluster share common keys. When connecting, please make sure that the fingerprint shown, matches one of the table.

In case an additional login node of the same cluster is used, the key needs to be checked and approved again.


### Barnard

The following hostnames can be used to access the Barnard cluster:

- `login1.barnard.hpc.tu-dresden.de`
- `login2.barnard.hpc.tu-dresden.de`
- `login3.barnard.hpc.tu-dresden.de`
- `login4.barnard.hpc.tu-dresden.de`

##### login[1-4].barnard.hpc.tu-dresden.de

| Key type | Fingerprint                                         |
|:---------|:----------------------------------------------------|
| RSA      | SHA256:lVQOvnci07jkxmFnX58pQf3cD7lz1mf4K4b9jZrAlVU  |
| RSA      | MD5:5b:39:ae:03:3a:60:15:21:4b:e8:ba:72:52:b8:a1:ad |
| ECDSA    | SHA256:Xan2MYazewT0V5agNazaQfWzLKBD3P48zRwR6reoXhI  |
| ECDSA    | MD5:02:fd:ab:c8:39:f9:94:cc:3f:e0:7e:78:5f:76:b8:4c |
| ED25519  | SHA256:Gn4n5IX9eEvkpOGrtZzs9T9yAfJUB200bgRchchiKAQ  |
| ED25519  | MD5:e8:10:96:67:e8:4c:fd:87:f0:c6:4e:e8:1f:53:a9:be |
{: summary="List of valid fingerprints for Barnard login[1-4] node"}

??? example "Connecting with SSH"

    ```console
    marie@local$ ssh login1.barnard.hpc.tu-dresden.de
    The authenticity of host 'login1.barnard.hpc.tu-dresden.de (172.24.95.28)' can't be established.
    ECDSA key fingerprint is SHA256:8Coljw7yoVH6HA8u+K3makRK9HfOSfe+BG8W/CUEPp0.
    Are you sure you want to continue connecting (yes/no)?
    ```

    In this case, the fingerprint matches the one given in the table. Thus, one can proceed by
    typing 'yes'.


### Romeo

The following hostnames can be used to access the Romeo cluster:

- `login1.romeo.hpc.tu-dresden.de`
- `login2.romeo.hpc.tu-dresden.de`

##### login[1-2].romeo.hpc.tu-dresden.de

| Key type | Fingerprint                                         |
|:---------|:----------------------------------------------------|
| RSA      |  |
| RSA      |  |
| ECDSA    |  |
| ECDSA    |  |
| ED25519  |  |
| ED25519  |  |
{: summary="List of valid fingerprints for Romeo login[1-2] node"}


### Alpha Centauri

The following hostnames can be used to access the Alpha Centauri cluster:

- `login1.alpha.hpc.tu-dresden.de`
- `login2.alpha.hpc.tu-dresden.de`

##### login[1-2].alpha.hpc.tu-dresden.de

| Key type | Fingerprint                                         |
|:---------|:----------------------------------------------------|
| RSA      |   |
| RSA      |   |
| ECDSA    |   |
| ECDSA    |   |
| ED25519  |   |
| ED25519  |   |
{: summary="List of valid fingerprints for Alpha Centauri login[1-2] node"}


### Julia

The following hostname can be used to access the Julia SMP system:

- `smp8.julia.hpc.tu-dresden.de`

##### smp8.julia.hpc.tu-dresden.de

| Key type | Fingerprint                                         |
|:---------|:----------------------------------------------------|
| RSA      |  |
| RSA      |  |
| ECDSA    |  |
| ECDSA    |  |
| ED25519  |  |
| ED25519  |  |
{: summary="List of valid fingerprints for Julia login node"}


### IBM Power9

The following hostnames can be used to access the IBM Power9 cluster:

- `login1.power9.hpc.tu-dresden.de`
- `login2.power9.hpc.tu-dresden.de`

##### login[1-2].power9.hpc.tu-dresden.de

| Key type | Fingerprint                                         |
|:---------|:----------------------------------------------------|
| RSA      |  |
| RSA      |  |
| ECDSA    |  |
| ECDSA    |  |
| ED25519  |  |
| ED25519  |  |
{: summary="List of valid fingerprints for IBM Power9 login node"}


## Export Nodes !! yet to be updated!!

All of these export nodes share common keys. When transfering files, please make sure that the
fingerprint shown matches one of the table.

The following hostnames can be used to transfer files to/from ZIH systems:

- `export.hpc.tu-dresden.de`
- `export.hpc.tu-dresden.de`
- `export.hpc.tu-dresden.de`


##### ...[?-?].export.hpc.tu-dresden.de

| Key type | Fingerprint                                         |
|:---------|:----------------------------------------------------|
| RSA      |  |
| RSA      |  |
| ECDSA    |  |
| ECDSA    |  |
| ED25519  |  |
| ED25519  |  |
{: summary="List of valid fingerprints for export nodes"}
